* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Arial, sans-serif;
}

html, body {
  width: 100%;
  height: 100%;
  overflow: hidden;
  background: #0a0a0a;
  display: flex;
  justify-content: center;
  align-items: center;
}

/* 📱 APP MOBILE FIXE */
.app {
  width: 100%;
  max-width: 420px;
  height: 100vh;
  background: #111;
  display: flex;
  flex-direction: column;
  overflow: hidden;
  border-radius: 20px;
}

/* HAUT */
.top {
  flex: 1;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
}

/* overlay luminosité */
.overlay {
  position: absolute;
  inset: 0;
  background: rgba(0,0,0,0.5);
}

/* cercle lumière */
.light-zone {
  width: 90px;
  height: 90px;
  border-radius: 50%;
  background: rgba(7, 3, 66, 0.733);
  box-shadow: 0 0 50px rgba(255,255,255,0.5);
}

/* bouton plein écran */
.full {
  position: absolute;
  top: 10px;
  right: 10px;
  background: #22222252;
  border: none;
  color: rgba(27, 14, 144, 0.785);
  padding: 6px 8px;
  border-radius: 6px;
  font-size: 11px;
}

/* slider */
.controls {
  position: absolute;
  bottom: 90px;
  width: 85%;
}

input[type=range] {
  width: 100%;
}

/* BAS */
.bottom {
  height: 120px;
  background: #0d0d0d;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  padding: 6px;
  gap: 4px;
}

/* boutons */
.btn {
  width: 18%;
  height: 34px;
  border: none;
  border-radius: 6px;
  background: #5a585862;
  color: rgba(6, 3, 58, 0.849);
  font-size: 9px;
}

.btn:active {
  transform: scale(0.95);
  background: #333;
}

/* 🔥 FULLSCREEN MODE CLEAN */
.app.fullscreen .bottom,
.app.fullscreen .controls,
.app.fullscreen .full {
  display: none;
}

.app.fullscreen .top {
  background: black;
}

.app.fullscreen .light-zone {
  width: 70vw;
  height: 70vw;
  max-width: 420px;
  max-height: 420px;
}